<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot" kind="class" language="Python" prot="public">
    <compoundname>pyspottedunipd::fb::models::FacebookBot</compoundname>
    <basecompoundref prot="public" virt="non-virtual">object</basecompoundref>
      <sectiondef kind="public-attrib">
      <memberdef kind="variable" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a95dc6383ba048c6404eaf5358a11b57e" prot="public" static="no" mutable="no">
        <type></type>
        <definition>pyspottedunipd.fb.models.FacebookBot::token</definition>
        <argsstring></argsstring>
        <name>token</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="107" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="107" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a723a55e3dedece9b7800cd0aaf12acd7" prot="public" static="no" mutable="no">
        <type></type>
        <definition>pyspottedunipd.fb.models.FacebookBot::api</definition>
        <argsstring></argsstring>
        <name>api</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="108" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="108" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a3857b4ed1eab23cf1005665d92cf0448" prot="public" static="no" mutable="no">
        <type></type>
        <definition>pyspottedunipd.fb.models.FacebookBot::graph</definition>
        <argsstring></argsstring>
        <name>graph</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="109" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="109" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a9aa8f06dfce6734f430e70477b4c6e8b" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.fb.models.FacebookBot.__init__</definition>
        <argsstring>(self, token)</argsstring>
        <name>__init__</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <param>
          <type><ref refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a95dc6383ba048c6404eaf5358a11b57e" kindref="member">token</ref></type>
          <defname>token</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param token: str
    Token to use Facebook API
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="100" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="100" bodyend="110"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a84bbc98341ead3cb11aebf0e0b5b32a5" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.fb.models.FacebookBot.get_latest_posts_of_page</definition>
        <argsstring>(self, page_id, number_to_fetch)</argsstring>
        <name>get_latest_posts_of_page</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <param>
          <type>page_id</type>
          <defname>page_id</defname>
        </param>
        <param>
          <type>number_to_fetch</type>
          <defname>number_to_fetch</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param page_id: str
    ID of page to scrape
:param number_to_fetch: int
    Minimum number of posts to fetch
:return: [] of str in json format
    Each dict is a raw post (straight out of the API)
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="111" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="111" bodyend="148"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a3e281206f9a7260b779e89357ee7d8f6" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.fb.models.FacebookBot.download_page_posts</definition>
        <argsstring>(self, page_id, min_number_to_fetch, output_file)</argsstring>
        <name>download_page_posts</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <param>
          <type>page_id</type>
          <defname>page_id</defname>
        </param>
        <param>
          <type>min_number_to_fetch</type>
          <defname>min_number_to_fetch</defname>
        </param>
        <param>
          <type>output_file</type>
          <defname>output_file</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param page_id: str
    ID of page to scrape
:param min_number_to_fetch: int
    Minimum number of posts to fetch
:param output_file: str
    Path to output file to write data
:return: void
    Saves .csv file with posts data
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="149" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="149" bodyend="168"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><verbatim>A bot that scrapes Facebook with a authentication token </verbatim> </para>    </detaileddescription>
    <inheritancegraph>
      <node id="4">
        <label>pyspottedunipd.fb.models.FacebookBot</label>
        <link refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot"/>
        <childnode refid="5" relation="public-inheritance">
        </childnode>
      </node>
      <node id="5">
        <label>object</label>
      </node>
    </inheritancegraph>
    <collaborationgraph>
      <node id="6">
        <label>pyspottedunipd.fb.models.FacebookBot</label>
        <link refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot"/>
        <childnode refid="7" relation="public-inheritance">
        </childnode>
      </node>
      <node id="7">
        <label>object</label>
      </node>
    </collaborationgraph>
    <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" line="97" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/fb/models.py" bodystart="97" bodyend="169"/>
    <listofallmembers>
      <member refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a9aa8f06dfce6734f430e70477b4c6e8b" prot="public" virt="non-virtual"><scope>pyspottedunipd::fb::models::FacebookBot</scope><name>__init__</name></member>
      <member refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a723a55e3dedece9b7800cd0aaf12acd7" prot="public" virt="non-virtual"><scope>pyspottedunipd::fb::models::FacebookBot</scope><name>api</name></member>
      <member refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a3e281206f9a7260b779e89357ee7d8f6" prot="public" virt="non-virtual"><scope>pyspottedunipd::fb::models::FacebookBot</scope><name>download_page_posts</name></member>
      <member refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a84bbc98341ead3cb11aebf0e0b5b32a5" prot="public" virt="non-virtual"><scope>pyspottedunipd::fb::models::FacebookBot</scope><name>get_latest_posts_of_page</name></member>
      <member refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a3857b4ed1eab23cf1005665d92cf0448" prot="public" virt="non-virtual"><scope>pyspottedunipd::fb::models::FacebookBot</scope><name>graph</name></member>
      <member refid="classpyspottedunipd_1_1fb_1_1models_1_1_facebook_bot_1a95dc6383ba048c6404eaf5358a11b57e" prot="public" virt="non-virtual"><scope>pyspottedunipd::fb::models::FacebookBot</scope><name>token</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
